package com.pm.fkxt.service.impl;

import com.pm.fkxt.mapper.VisitorMapper;
import com.pm.fkxt.service.IVisitorService;
import com.pm.common.config.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class VisitorServiceImpl implements IVisitorService {

    @Autowired
    private VisitorMapper visitorMapper;

    @Override
    public List<Map<String, Object>> selectVisitorInfoList(PageData pd) {
        return visitorMapper.selectVisitorInfoList(pd);
    }

    @Override
    public List<Map<String, Object>> selectAccessRecordList(PageData pd) {
        return visitorMapper.selectAccessRecordList(pd);
    }
}